GetFilter
Returns the details of the filter specified by the filter name.
Request Syntax
GET /detector/DetectorId/filter/FilterName HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- DetectorId
-
The unique ID of the detector that is associated with this filter.
To find the
detectorIdin the current Region, see the Settings page in the GuardDuty console, or run the ListDetectors API.Length Constraints: Minimum length of 1. Maximum length of 300.
Required: Yes
- FilterName
-
The name of the filter you want to get.
Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"action": "string",
"createdAt": number,
"description": "string",
"findingCriteria": {
"criterion": {
"string" : {
"eq": [ "string" ],
"equals": [ "string" ],
"greaterThan": number,
"greaterThanOrEqual": number,
"gt": number,
"gte": number,
"lessThan": number,
"lessThanOrEqual": number,
"lt": number,
"lte": number,
"matches": [ "string" ],
"neq": [ "string" ],
"notEquals": [ "string" ],
"notMatches": [ "string" ]
}
}
},
"name": "string",
"rank": number,
"tags": {
"string" : "string"
},
"updatedAt": number,
"version": number
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- action
-
Specifies the action that is to be applied to the findings that match the filter.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 300.
Valid Values:
NOOP | ARCHIVE - createdAt
-
The timestamp when the filter was created. This field is not available for filters that were created before the lifecycle metadata feature was enabled (legacy filters).
Type: Timestamp
- description
-
The description of the filter.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 512.
- findingCriteria
-
Represents the criteria to be used in the filter for querying findings.
Type: FindingCriteria object
- name
-
The name of the filter.
Type: String
Length Constraints: Minimum length of 3. Maximum length of 64.
- rank
-
Specifies the position of the filter in the list of current filters. Also specifies the order in which this filter is applied to the findings.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 100.
-
The tags of the filter resource.
Type: String to string map
Map Entries: Maximum number of 200 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
(?!aws:)[a-zA-Z+-=._:/]+Value Length Constraints: Minimum length of 0. Maximum length of 256.
- updatedAt
-
The timestamp when the filter was last updated. For legacy filters, this field is present only after the filter has been updated at least once since the lifecycle metadata feature was enabled.
Type: Timestamp
- version
-
The version of the filter. Every time the filter is updated, the version increments by 1. This field is not available for legacy filters that were created before the lifecycle metadata feature was enabled.
Type: Long
Valid Range: Minimum value of 1.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- BadRequestException
-
A bad request exception object.
- Message
-
The error message.
- Type
-
The error type.
HTTP Status Code: 400
- InternalServerErrorException
-
An internal server error exception object.
- Message
-
The error message.
- Type
-
The error type.
HTTP Status Code: 500
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: